local base = _G

module ('uppod')

function DecodeUppod(param,hash1,hash2)

-- decode
local i=1

while true do

 local re1 = hash1[i]
 if re1 == nil then break end

 local re2 = hash2[i]

 param = param:gsub(re1, '___')
 param = param:gsub(re2, re1)
 param = param:gsub('___', re2)

  i = i+1
end -- for


 return base.decode64(param)

end


